select distinct VERSION.RES_ID
from REQUIREMENT_VERSION VERSION
inner join RLN_RELATIONSHIP_CLOSURE RLNC on RLNC.DESCENDANT_ID = VERSION.REQUIREMENT_ID
inner join REQUIREMENT_LIBRARY_NODE RLN on VERSION.REQUIREMENT_ID = RLN.RLN_ID
where RLNC.ANCESTOR_ID in (:nodeIds)
  and RLN.PROJECT_ID in (:projectIds)
